---
updatedAt: 2026-03-25T11:18:19.000Z
---

# Convert with commercial rates

Returns convertion value of amount between currencies specified in from and to parameters based on TBC bank's commercial exchange rates

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "exchange-rates",
    "version": "1.0"
  },
  "servers": [
    {
      "url": "https://test-api.tbcbank.ge"
    }
  ],
  "components": {
    "securitySchemes": {
      "sec0": {
        "type": "http",
        "scheme": "basic"
      }
    }
  },
  "security": [
    {
      "sec0": []
    }
  ],
  "paths": {
    "/v1/exchange-rates/commercial/convert": {
      "get": {
        "summary": "Convert with commercial rates",
        "description": "Returns convertion value of amount between currencies specified in from and to parameters based on TBC bank's commercial exchange rates",
        "operationId": "exchangerates-convert-with-commercial-rates-api",
        "parameters": [
          {
            "name": "amount",
            "in": "query",
            "description": "(mandatory) value to be converted",
            "required": true,
            "schema": {
              "type": "number",
              "format": "double",
              "default": 100
            }
          },
          {
            "name": "from",
            "in": "query",
            "description": "(mandatory) base currency from which given amount should be converted",
            "required": true,
            "schema": {
              "type": "string",
              "default": "usd"
            }
          },
          {
            "name": "to",
            "in": "query",
            "description": "(mandatory) target currency to which amount should be converted",
            "required": true,
            "schema": {
              "type": "string",
              "default": "eur"
            }
          },
          {
            "name": "apikey",
            "in": "header",
            "description": "developer api key",
            "required": true,
            "schema": {
              "type": "string",
              "default": "I3Rz8QXBVPofKtucsenkW7g2n7aDwqBg"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "200",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{\n    \"from\": \"USD\",\n    \"to\": \"EUR\",\n    \"amount\": 100.0,\n    \"value\": 82.57638\n}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "from": {
                      "type": "string",
                      "example": "USD"
                    },
                    "to": {
                      "type": "string",
                      "example": "EUR"
                    },
                    "amount": {
                      "type": "integer",
                      "example": 100,
                      "default": 0
                    },
                    "value": {
                      "type": "number",
                      "example": 82.57638,
                      "default": 0
                    }
                  }
                }
              }
            }
          },
          "400": {
            "description": "400",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{\n    \"type\": \"https://developers.tbcbank.ge/error-reference#type-400\",\n    \"title\": \"'Amount' must not be empty.'Amount' must be greater than '0'.\",\n    \"status\": 400,\n    \"detail\": \"'Amount' must not be empty.'Amount' must be greater than '0'.\",\n    \"systemCode\": \"System code for problem is exchange-rates.400.001\",\n    \"code\": \"\"\n}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "type": {
                      "type": "string",
                      "example": "https://developers.tbcbank.ge/error-reference#type-400"
                    },
                    "title": {
                      "type": "string",
                      "example": "'Amount' must not be empty.'Amount' must be greater than '0'."
                    },
                    "status": {
                      "type": "integer",
                      "example": 400,
                      "default": 0
                    },
                    "detail": {
                      "type": "string",
                      "example": "'Amount' must not be empty.'Amount' must be greater than '0'."
                    },
                    "systemCode": {
                      "type": "string",
                      "example": "System code for problem is exchange-rates.400.001"
                    },
                    "code": {
                      "type": "string",
                      "example": ""
                    }
                  }
                }
              }
            }
          },
          "401": {
            "description": "401",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{\n    \"type\": \"https://developers.tbcbank.ge/error-reference#type-401\",\n    \"title\": \"Invalid Api Key\",\n    \"status\": 401,\n    \"detail\": \"Please make sure api key is valid\",\n    \"systemCode\": \"System code for problem is exchange-rates.401.001\",\n    \"code\": \"\"\n}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "type": {
                      "type": "string",
                      "example": "https://developers.tbcbank.ge/error-reference#type-401"
                    },
                    "title": {
                      "type": "string",
                      "example": "Invalid Api Key"
                    },
                    "status": {
                      "type": "integer",
                      "example": 401,
                      "default": 0
                    },
                    "detail": {
                      "type": "string",
                      "example": "Please make sure api key is valid"
                    },
                    "systemCode": {
                      "type": "string",
                      "example": "System code for problem is exchange-rates.401.001"
                    },
                    "code": {
                      "type": "string",
                      "example": ""
                    }
                  }
                }
              }
            }
          },
          "404": {
            "description": "404",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{\n    \"type\": \"https://developers.tbcbank.ge/error-reference#type-404\",\n    \"title\": \"Invalid input parameter.\",\n    \"status\": 400,\n    \"detail\": \"Invalid input parameter.\",\n    \"systemCode\": \"System code for problem is exchange-rates.400.001\",\n    \"code\": \"\"\n}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "type": {
                      "type": "string",
                      "example": "https://developers.tbcbank.ge/error-reference#type-404"
                    },
                    "title": {
                      "type": "string",
                      "example": "Invalid input parameter."
                    },
                    "status": {
                      "type": "integer",
                      "example": 400,
                      "default": 0
                    },
                    "detail": {
                      "type": "string",
                      "example": "Invalid input parameter."
                    },
                    "systemCode": {
                      "type": "string",
                      "example": "System code for problem is exchange-rates.400.001"
                    },
                    "code": {
                      "type": "string",
                      "example": ""
                    }
                  }
                }
              }
            }
          },
          "500": {
            "description": "500",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{\n    \"type\": \"https://developers.tbcbank.ge/error-reference#type-500\",\n    \"title\": \"Invalid currency code: `AAA`\",\n    \"status\": 500,\n    \"detail\": \"Invalid currency code: `AAA`\",\n    \"systemCode\": \"System code for problem is exchange-rates.500.001\",\n    \"code\": \"\"\n}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "type": {
                      "type": "string",
                      "example": "https://developers.tbcbank.ge/error-reference#type-500"
                    },
                    "title": {
                      "type": "string",
                      "example": "Invalid currency code: `AAA`"
                    },
                    "status": {
                      "type": "integer",
                      "example": 500,
                      "default": 0
                    },
                    "detail": {
                      "type": "string",
                      "example": "Invalid currency code: `AAA`"
                    },
                    "systemCode": {
                      "type": "string",
                      "example": "System code for problem is exchange-rates.500.001"
                    },
                    "code": {
                      "type": "string",
                      "example": ""
                    }
                  }
                }
              }
            }
          }
        },
        "deprecated": false,
        "security": [],
        "x-readme": {
          "code-samples": [
            {
              "language": "curl",
              "code": "curl --location --request GET 'https://test-api.tbcbank.ge/v1/exchange-rates/commercial/convert?amount=100&from=usd&to=eur' \\\n--header 'apikey: I3Rz8QXBVPofKtucsenkW7g2n7aDwqBg' "
            }
          ],
          "samples-languages": [
            "curl"
          ]
        }
      }
    }
  },
  "x-readme": {
    "headers": [],
    "explorer-enabled": true,
    "proxy-enabled": true
  },
  "x-readme-fauxas": true
}
```